Skip to main content
GET
/
status
/
{address}
Get transaction status
curl --request GET \
  --url https://bridge.polymarket.com/status/{address}
{
  "transactions": [
    {
      "fromChainId": "1151111081099710",
      "fromTokenAddress": "11111111111111111111111111111111",
      "fromAmountBaseUnit": "13566635",
      "toChainId": "137",
      "toTokenAddress": "0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB",
      "status": "DEPOSIT_DETECTED"
    },
    {
      "fromChainId": "1151111081099710",
      "fromTokenAddress": "11111111111111111111111111111111",
      "fromAmountBaseUnit": "13400000",
      "toChainId": "137",
      "toTokenAddress": "0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB",
      "createdTimeMs": 1757646914535,
      "status": "PROCESSING"
    },
    {
      "fromChainId": "1151111081099710",
      "fromTokenAddress": "11111111111111111111111111111111",
      "fromAmountBaseUnit": "13500152",
      "toChainId": "137",
      "toTokenAddress": "0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB",
      "txHash": "3atr19NAiNCYt24RHM1WnzZp47RXskpTDzspJoCBBaMFwUB8fk37hFkxz35P5UEnnmWz21rb2t5wJ8pq3EE2XnxU",
      "createdTimeMs": 1757531217339,
      "status": "COMPLETED"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.polymarket.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

address
string
required

The address to query for transaction status (EVM, SVM, or BTC address from the /deposit or /withdraw response)

Response

Successfully retrieved transaction status

transactions
object[]

List of transactions for the given address